title: OnSive.net
subtitle: Your <b>On</b>line Offen<b>sive</b> !
description: >- # this means to ignore newlines until "baseurl:"
  Welcome to OnSive.net, the landing page for all my stuff.

url: "" # the base hostname & protocol for your site, e.g. https://example.github.io
baseurl: "" # the subpath of your site, e.g. /blog

urls:
    - text: About Me
      url: /about
    - text: Blog
      url: /blog
    #- text: Gallery
    #  url: /gallery
    #- text: Shop
    #  url : /shop
    - text: Contact Me
      url : /contact
    #- text: Styleguide
    #  url: /styleguide
    #- text: Get Started
    #  url: /get-started

# Edit these details

author_logo: profile.png
author: Hille
author_bio: Hello, My Name is Hille. I'm a software developer and working mostly with .NET.
author_email: "service@onsive.net"
author_location: Germany
author_website_url: "https://onsive.net"

author_work_experiences:
            - company_name: Google
              company_logo: google.png
              company_url: https://google.com
              designation: Software Engineer
              description: Worked on various Google Products
              visibility: false

author_education_details:
              - college_logo: mit.png
                college_name: MIT
                college_url: https://mit.org
                college_degree: CS Engineer
                description: Bachelor of Technology
                visibility: false

author_project_details:
              - project_thumbnail: mgc.png
                project_title: My Gaming Community Dev Team
                project_description: The majority of our scripts are handmade and have been built with great effort in order to guarantee, among other things, a flawless gaming experience.
                project_url: https://mygame-community.de/
                visibility: true

# social links
twitter_username: 
github_username:  OnSive
facebook_username: 
linkedin_username: 
behance_username: 
instagram_username: 
medium_username: 
telegram_username: 
dribbble_username: 
flickr_username: 

#for comments using disqus
disqus_shortname: onsive

# wakatime username (coding activity)
wakatime_username: OS_Hille

# mailchimp embedded form url (newsletter):
#mailchimp_form_url: 

# formspree (contact form)
formspree_email: service@onsive.net

# syntax highlighter
markdown: kramdown
highlighter: rouge
permalink: pretty

# google analytics
#google_analytics: 

# Choose what to show ( can be true or false)
show_author_work_experiences: false
show_author_education_details: false
show_author_project_details: true

# algolia search
algolia:
  application_id: REY31L0E7V
  index_name: onsive_blog # You can replace that with whatever name you want
  files_to_exclude: []
  nodes_to_index: 'article'
  search_only_api_key: fb9f20e5033680f84910a33f2653cfe9

# pagination of posts
paginate: 4
per_page: 4
paginate_path: "/blog/page/:num/"

# minify
# compress_html:
#   clippings: all
#   comments: ["<!-- ", " -->"]
#   endings: all
#   ignore:
#     envs: ['development']

# Archives
# jekyll-archives:
#   enabled:
#     - categories
#   layout: archive
#   permalinks:
#     category: '/category/:name/'

# Shop
collections:
 - products

# Gallery
defaults:
  -
    scope:
      path: "gallery"
    values:
      permalink: /:path/:basename:output_ext

# Build settings

theme: devlopr
plugins:
  - jekyll-feed
  - jekyll-paginate
  - jekyll-gist
  - jekyll-seo-tag
  - jekyll-sitemap
  - jekyll-algolia
  - jekyll-menus


# Exclude from processing.
# The following items will not be processed, by default.
# Any item listed under the `exclude:` key here will be automatically added to
# the internal "default list".
#
# Excluded items can be processed by explicitly listing the directories or
# their entries' file path in the `include:` list.
#
exclude:
  - .sass-cache/
  - .jekyll-cache/
  - gemfiles/
  - Gemfile
  - Gemfile.lock
  - node_modules/
  - vendor/bundle/
  - vendor/cache/
  - vendor/gems/
  - vendor/ruby/

destination: ./build